@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  font-family: 'Onest';
  background-color: #0c1521;
  -webkit-font-smoothing: antialiased;
}

body::-webkit-scrollbar {
  width: 0;
  height: 0;
}
* {
  -webkit-overflow-scrolling: auto !important;
}

.main-container {
  max-width: 1280px;
  margin: auto;
}

html,
body {
  min-height: 100vh !important;
  height: 100vh;
}

// vue-transitions

.modal-appear {
  @media (max-width: 600px) {
    &-enter-active,
    &-leave-active,
    &-enter-active .animated-modal,
    &-leave-active .animated-modal {
      transition: transform 400ms, background 400ms;
    }

    &-enter,
    &-leave-to {
      & .animated-modal {
        transform: translateY(100%);
      }

      background: rgba(0, 0, 0, 0) !important;
    }
  }
}

.fade {
  &-enter-active,
  &-leave-active {
    transition: opacity 400ms linear;
  }

  &-enter,
  &-leave-to {
    opacity: 0;
  }
}

.default-plug {
  background: rgba(0, 0, 0, 0.4);

  &-enter-active,
  &-leave-active {
    transition: opacity 250ms;
  }

  &-enter,
  &-leave-to {
    opacity: 0;
  }
}
